"use strict";

exports.__esModule = true;
exports.CKbd = void 0;

var _vue = require("vue");

var _vueUtils = require("@chakra-ui/vue-utils");

var _vueSystem = require("@chakra-ui/vue-system");

var _runtimeCore = require("@vue/runtime-core");

var _utils = require("@chakra-ui/utils");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _isSlot(s) {
  return typeof s === 'function' || Object.prototype.toString.call(s) === '[object Object]' && !(0, _vue.isVNode)(s);
}

/**
 * Semantic component to render a keyboard shortcut
 * within an application.
 *
 * @example
 *
 * ```jsx
 * <CKbd>⌘ + T</CKbd>
 * ```
 *
 * @see Docs https://vue.chakra-ui.com/docs/data-display/kbd
 */
var CKbd = (0, _runtimeCore.defineComponent)({
  name: 'CKbd',
  props: _extends({
    as: {
      type: [String, Object],
      "default": 'h2'
    }
  }, _vueUtils.vueThemingProps),
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
        attrs = _ref.attrs;
    var themingProps = (0, _runtimeCore.computed)(function () {
      return (0, _utils.filterUndefined)({
        colorScheme: props.colorScheme,
        variant: props.variant,
        size: props.size,
        styleConfig: props.styleConfig
      });
    });
    var styles = (0, _vueSystem.useStyleConfig)('Kbd', themingProps.value);
    return function () {
      return (0, _vue.createVNode)(_vueSystem.chakra.kbd, (0, _vue.mergeProps)({
        "__label": "kbd",
        "__css": _extends({
          fontFamily: 'mono'
        }, styles.value)
      }, attrs), _isSlot(slots) ? slots : {
        "default": function _default() {
          return [slots];
        }
      });
    };
  }
});
exports.CKbd = CKbd;
//# sourceMappingURL=kbd.js.map