"use strict";

exports.__esModule = true;
exports.CText = void 0;

var _vue = require("vue");

var _utils = require("@chakra-ui/utils");

var _vueSystem = require("@chakra-ui/vue-system");

var _vueUtils = require("@chakra-ui/vue-utils");

var _runtimeCore = require("@vue/runtime-core");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _isSlot(s) {
  return typeof s === 'function' || Object.prototype.toString.call(s) === '[object Object]' && !(0, _vue.isVNode)(s);
}

/**
 * Used to render texts or paragraphs.
 *
 * @see Docs https://vue.chakra-ui.com/docs/typography/text
 */
var CText = (0, _runtimeCore.defineComponent)({
  name: 'CText',
  props: _extends({
    as: {
      type: [Object, String],
      "default": 'p'
    },
    align: _vueUtils.SNAO,
    decoration: _vueUtils.SNAO,
    casing: _vueUtils.SNAO
  }, _vueUtils.vueThemingProps),
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
        attrs = _ref.attrs;
    var themingProps = (0, _runtimeCore.computed)(function () {
      return (0, _utils.filterUndefined)({
        colorScheme: props.colorScheme,
        variant: props.variant,
        size: props.size,
        styleConfig: props.styleConfig
      });
    });
    var styles = (0, _vueSystem.useStyleConfig)('Text', themingProps.value);
    var aliasedProps = (0, _runtimeCore.computed)(function () {
      return (0, _utils.filterUndefined)({
        textAlign: props.align,
        textDecoration: props.decoration,
        textTransform: props.casing
      });
    });
    return function () {
      return (0, _vue.createVNode)(_vueSystem.chakra.p, (0, _vue.mergeProps)({
        "__label": "text"
      }, aliasedProps.value, {
        "__css": styles.value
      }, attrs), _isSlot(slots) ? slots : {
        "default": function _default() {
          return [slots];
        }
      });
    };
  }
});
exports.CText = CText;
//# sourceMappingURL=text.js.map