"use strict";

exports.__esModule = true;
exports.CWrapItem = exports.CWrap = void 0;

var _utils = require("@chakra-ui/utils");

var _vueSystem = require("@chakra-ui/vue-system");

var _vueUtils = require("@chakra-ui/vue-utils");

var _runtimeCore = require("@vue/runtime-core");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Used to render texts or paragraphs.
 *
 * @see Docs https://vue.chakra-ui.com/docs/typography/text
 */
var CWrap = (0, _runtimeCore.defineComponent)({
  props: {
    as: {
      type: [Object, String],
      "default": 'div'
    },
    spacing: _vueUtils.SNAO,
    justify: _vueUtils.SNAO,
    align: _vueUtils.SNAO,
    direction: _vueUtils.SNAO,
    shouldWrapChildren: _vueUtils.SNAO
  },
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
        attrs = _ref.attrs;
    var styles = (0, _runtimeCore.computed)(function () {
      return {
        '--chakra-wrap-spacing': function chakraWrapSpacing(theme) {
          return (0, _utils.mapResponsive)(props.spacing, function (value) {
            return (0, _vueSystem.tokenToCSSVar)('space', value)(theme);
          });
        },
        '--wrap-spacing': 'calc(var(--chakra-wrap-spacing) / 2)',
        display: 'flex',
        flexWrap: 'wrap',
        justifyContent: props.justify,
        alignItems: props.align,
        flexDirection: props.direction,
        listStyleType: 'none',
        padding: '0',
        margin: 'calc(var(--wrap-spacing) * -1)',
        '& > *:not(style)': {
          margin: 'var(--wrap-spacing)'
        }
      };
    });
    var childrenToRender = props.shouldWrapChildren ? (0, _vueUtils.getValidChildren)(slots).map(function (child, index) {
      return (0, _runtimeCore.h)(CWrapItem, {
        key: index
      }, child);
    }) : slots;
    return function () {
      return (0, _runtimeCore.h)((0, _vueSystem.chakra)(props.as, _extends({
        label: 'wrap'
      }, attrs)), {}, function () {
        return (0, _runtimeCore.h)((0, _vueSystem.chakra)('ul', {
          label: 'wrap__list',
          __css: styles.value
        }), {}, childrenToRender);
      });
    };
  }
});
exports.CWrap = CWrap;
var CWrapItem = (0, _runtimeCore.defineComponent)({
  setup: function setup(_, _ref2) {
    var attrs = _ref2.attrs,
        slots = _ref2.slots;
    return function () {
      return (0, _runtimeCore.h)((0, _vueSystem.chakra)('li', _extends({
        label: 'wrap__listItem',
        __css: {
          display: 'flex',
          alignItems: 'flex-start'
        }
      }, attrs)), {}, slots);
    };
  }
});
exports.CWrapItem = CWrapItem;
//# sourceMappingURL=wrap.js.map