import { createVNode as _createVNode, isVNode as _isVNode, mergeProps as _mergeProps } from "vue";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { filterUndefined } from '@chakra-ui/utils';
import { chakra, useStyleConfig } from '@chakra-ui/vue-system';
import { SNAO, vueThemingProps } from '@chakra-ui/vue-utils';
import { computed, defineComponent } from '@vue/runtime-core';

function _isSlot(s) {
  return typeof s === 'function' || Object.prototype.toString.call(s) === '[object Object]' && !_isVNode(s);
}

/**
 * Used to render texts or paragraphs.
 *
 * @see Docs https://vue.chakra-ui.com/docs/typography/text
 */
export var CText = defineComponent({
  name: 'CText',
  props: _extends({
    as: {
      type: [Object, String],
      default: 'p'
    },
    align: SNAO,
    decoration: SNAO,
    casing: SNAO
  }, vueThemingProps),

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    var themingProps = computed(() => filterUndefined({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    var styles = useStyleConfig('Text', themingProps.value);
    var aliasedProps = computed(() => filterUndefined({
      textAlign: props.align,
      textDecoration: props.decoration,
      textTransform: props.casing
    }));
    return () => {
      return _createVNode(chakra.p, _mergeProps({
        "__label": "text"
      }, aliasedProps.value, {
        "__css": styles.value
      }, attrs), _isSlot(slots) ? slots : {
        default: () => [slots]
      });
    };
  }

});
//# sourceMappingURL=text.js.map