function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { mapResponsive } from '@chakra-ui/utils';
import { chakra, tokenToCSSVar } from '@chakra-ui/vue-system';
import { getValidChildren, SNAO } from '@chakra-ui/vue-utils';
import { computed, defineComponent, h } from '@vue/runtime-core';

/**
 * Used to render texts or paragraphs.
 *
 * @see Docs https://vue.chakra-ui.com/docs/typography/text
 */
export var CWrap = defineComponent({
  props: {
    as: {
      type: [Object, String],
      default: 'div'
    },
    spacing: SNAO,
    justify: SNAO,
    align: SNAO,
    direction: SNAO,
    shouldWrapChildren: SNAO
  },

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    var styles = computed(() => ({
      '--chakra-wrap-spacing': theme => mapResponsive(props.spacing, value => tokenToCSSVar('space', value)(theme)),
      '--wrap-spacing': 'calc(var(--chakra-wrap-spacing) / 2)',
      display: 'flex',
      flexWrap: 'wrap',
      justifyContent: props.justify,
      alignItems: props.align,
      flexDirection: props.direction,
      listStyleType: 'none',
      padding: '0',
      margin: 'calc(var(--wrap-spacing) * -1)',
      '& > *:not(style)': {
        margin: 'var(--wrap-spacing)'
      }
    }));
    var childrenToRender = props.shouldWrapChildren ? getValidChildren(slots).map((child, index) => h(CWrapItem, {
      key: index
    }, child)) : slots;
    return () => {
      return h(chakra(props.as, _extends({
        label: 'wrap'
      }, attrs)), {}, () => h(chakra('ul', {
        label: 'wrap__list',
        __css: styles.value
      }), {}, childrenToRender));
    };
  }

});
export var CWrapItem = defineComponent({
  setup(_, _ref2) {
    var {
      attrs,
      slots
    } = _ref2;
    return () => {
      return h(chakra('li', _extends({
        label: 'wrap__listItem',
        __css: {
          display: 'flex',
          alignItems: 'flex-start'
        }
      }, attrs)), {}, slots);
    };
  }

});
//# sourceMappingURL=wrap.js.map