import { ThemingProps, HTMLChakraProps, ComponentWithProps, DeepPartial } from '@chakra-ui/vue-system';
export interface DividerProps extends HTMLChakraProps<'div'>, ThemingProps<'Container'> {
    orientation?: 'horizontal' | 'vertical';
}
/**
 * Layout component used to visually separate content in a list or group.
 * It display a thin horizontal or vertical line, and renders a `hr` tag.
 *
 * @see Docs https://vue.chakra-ui.com/docs/data-display/divider
 */
export declare const CDivider: ComponentWithProps<DeepPartial<DividerProps>>;
