import { ThemingProps, HTMLChakraProps, ComponentWithProps, DeepPartial } from '@chakra-ui/vue-system';
export interface KbdProps extends HTMLChakraProps<'kbd'>, ThemingProps<'Kbd'> {
}
/**
 * Semantic component to render a keyboard shortcut
 * within an application.
 *
 * @example
 *
 * ```jsx
 * <CKbd>⌘ + T</CKbd>
 * ```
 *
 * @see Docs https://vue.chakra-ui.com/docs/data-display/kbd
 */
export declare const CKbd: ComponentWithProps<DeepPartial<KbdProps>>;
