import { ComponentWithProps, HTMLChakraProps } from '@chakra-ui/vue-system';
import { DeepPartial } from '@chakra-ui/vue-system';
export interface LinkOverlayProps extends HTMLChakraProps<'a'> {
    /**
     *  If `true`, the link will open in new tab
     */
    isExternal?: boolean;
}
export declare const CLinkOverlay: ComponentWithProps<DeepPartial<LinkOverlayProps>>;
export interface LinkBoxProps extends HTMLChakraProps<'div'> {
}
/**
 * `LinkBox` is used to wrap content areas within a link while ensuring semantic html
 *
 * @see Docs https://vue.chakra-ui.com/docs/link-overlay
 * @see Resources https://www.sarasoueidan.com/blog/nested-links
 */
export declare const CLinkBox: ComponentWithProps<DeepPartial<LinkBoxProps>>;
