import { HTMLChakraProps, SystemProps, ThemingProps, ComponentWithProps, DeepPartial } from '@chakra-ui/vue-system';
interface ListOptions {
    /**
     * Short hand prop for `listStyleType`
     * @type SystemProps["listStyleType"]
     */
    styleType?: SystemProps['listStyleType'];
    /**
     * Short hand prop for `listStylePosition`
     * @type SystemProps["listStylePosition"]
     */
    stylePosition?: SystemProps['listStylePosition'];
    /**
     * The space between each list item
     * @type SystemProps["margin"]
     */
    spacing?: SystemProps['margin'];
}
export interface ListProps extends HTMLChakraProps<'ul'>, ThemingProps<'List'>, ListOptions {
}
/**
 * List is used to display list items, it renders a `<ul>` by default.
 *
 * @see Docs https://vue.chakra-ui.com/docs/data-display/list
 */
export declare const CList: ComponentWithProps<DeepPartial<ListProps>>;
export declare const COrderedList: ComponentWithProps<DeepPartial<ListProps>>;
export declare const CUnorderedList: ComponentWithProps<DeepPartial<ListProps>>;
export declare const CListItem: ComponentWithProps<DeepPartial<HTMLChakraProps<'li'>>>;
export declare const CListIcon: ComponentWithProps<DeepPartial<HTMLChakraProps<'svg'>>>;
export {};
